<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><%= content_for?(:title) ? yield(:title) : "Blog" %></title>
  <%= csrf_meta_tags %>

  <%= stylesheet_link_tag "application", :media => "all" %>



  <%= javascript_include_tag "application" %>

  <!-- Le HTML5 shim, for IE6-8 support of HTML elements -->
  <!--[if lt IE 9]>
  <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.2/html5shiv.min.js" type="text/javascript"></script>
  <![endif]-->

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <!-- <link href="/assets/stylesheets/my.css" rel="stylesheet" /> -->

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

</head>
<body>

<!-- MENU TOP  -->
<div class="navbar navbar-inverse navbar-static-top">
  <div class="container">
    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-responsive-collapse">
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
    </button>
    <a><%= link_to 'FoodBlog', posts_path, { :class=>"navbar-brand" } %></a>

    <div class="navbar-collapse collapse navbar-responsive-collapse">
      <ul class="nav navbar-nav">
        <!-- if user signed in = logout otherwise login -->
        <% if user_signed_in? %>
          <li><%# link_to 'Profile', edit_user_registration_path %></li>
          <li><%= link_to "Log out", destroy_user_session_path, :method => 'delete' %></li>
        <% else %>
          <li><%= link_to t('.sign_in', default: 'Sign in'), new_session_path(resource_name) %></li>
        <% end %>
      </ul>
    </div>
  </div>
</div>



<div class="container">
  <div class="row">
    <!--  login form -->
    <div class="col-lg-9">
      <%= bootstrap_flash %>
      <%= yield %>
    </div>
    <!--  MENU RIGHT just for signed users -->
    <% if user_signed_in? %>
    <div class="col-lg-3">
      <div class="well sidebar-nav">
        <div class="side-menu-title">
          <% unless current_user.nil? %>
            <h3><%= current_user.name %></h3>
          <% else %>
            <h3>My menu</h3>
          <% end %>
        </div>

        <ul class="nav nav-list" data-no-turbolink>
          <li data-no-turbolink><%= link_to 'New post', new_post_path, data: {"no-turbolink" => true} %></li>
          <li><%= link_to 'My posts', my_posts_path %></li>
          <li><%= link_to 'Profile', edit_user_registration_path %></li>
          <li><%= link_to 'Tags', tags_path %></li>
        </ul>

      </div><!--/.well -->
    </div><!--/span-->
    <% end %>
  </div><!--/row-->


  

</div> <!-- /container -->
<footer class="footer-bg-dark">
    <p class="center">&copy; 2018 Eva Ambrusova & Viola Kleinova</p>
</footer>

</body>
</html>
